Bug 97267 - [PATCH] Please update graphics/p5-Image-ExifTool to production release 6.17
Summary: [PATCH] Please update graphics/p5-Image-ExifTool to production release 6.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-14 20:10 UTC by Scott Mitchell
Modified: 2006-05-15 04:07 UTC (History)
0 users

See Also:


Attachments
file.diff (3.21 KB, patch)
2006-05-14 20:10 UTC, Scott Mitchell
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Mitchell freebsd_committer 2006-05-14 20:10:20 UTC
Please update the graphics/p5-Image-ExifTool port to version 6.17.  This has
been designated a production release by the author and includes the very
useful functionality of being able to write the virtual "FileName" and
"Directory" tags - allowing bulk moving and/or renaming of files according to
a pattern derived from the other tags in the files.

Fix: Patch below works for me:
Comment 1 Edwin Groothuis freebsd_committer 2006-05-14 20:16:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Tod McQuillin 2006-05-14 21:46:20 UTC
On Sun, 14 May 2006, Edwin Groothuis wrote:

> Please note that PR ports/97267 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/97267

Thanks Edwin,

Please use the patch below instead, as the submitted patch does not
include man page additions in the MANTAGS section, so it leaves files
behind on uninstall.

Index: Makefile
===================================================================
RCS file: /usr/src/cvs-repo/ports/graphics/p5-Image-ExifTool/Makefile,v
retrieving revision 1.20
diff -u -u -r1.20 Makefile
--- Makefile	17 Apr 2006 17:20:33 -0000	1.20
+++ Makefile	14 May 2006 20:49:59 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	Image-ExifTool
-PORTVERSION=	6.01
+PORTVERSION=	6.17
 CATEGORIES=	graphics perl5
 MASTER_SITES=	http://www.sno.phy.queensu.ca/~phil/exiftool/ \
 		${MASTER_SITE_PERL_CPAN}
@@ -21,12 +21,12 @@
 MANTAGS=	AFCP AIFF APP12 ASF BMP BuildTagLookup Canon CanonCustom \
 		CanonRaw Casio DICOM DNG Exif Fixup FujiFilm GIF GPS GeoTiff \
 		HtmlDump ICC_Profile ID3 IPTC JVC Jpeg2000 Kodak KyoceraRaw \
-		Leaf MIFF MNG MakerNotes Minolta Nikon NikonCapture Olympus \
-		PDF PICT PNG PPM Panasonic Pentax Photoshop PostScript \
-		PrintIM QuickTime RIFF Ricoh Sanyo Shift Shortcuts Sigma \
-		SigmaRaw Sony TagLookup TagNames Unknown WriteCanonRaw \
-		WriteExif WriteIPTC WritePNG WritePhotoshop WriteXMP Writer \
-		XMP
+		Leaf MIE MIFF MNG MakerNotes Minolta MinoltaRaw Nikon \
+		NikonCapture Olympus PDF PICT PNG PPM Panasonic Pentax \
+		Photoshop PostScript PrintIM QuickTime RIFF Ricoh Sanyo Shift \
+		Shortcuts Sigma SigmaRaw Sony TagLookup TagNames Unknown \
+		WriteCanonRaw WriteExif WriteIPTC WritePNG WritePhotoshop \
+		WritePostScript WriteXMP Writer XMP
 
 MAN3=		File::RandomAccess.3 \
 		Image::ExifTool.3 \
Index: distinfo
===================================================================
RCS file: /usr/src/cvs-repo/ports/graphics/p5-Image-ExifTool/distinfo,v
retrieving revision 1.20
diff -u -u -r1.20 distinfo
--- distinfo	17 Apr 2006 17:20:33 -0000	1.20
+++ distinfo	14 May 2006 20:32:30 -0000
@@ -1,3 +1,3 @@
-MD5 (Image-ExifTool-6.01.tar.gz) = 1e898b3bdfb444a66b4b972566a8c9b3
-SHA256 (Image-ExifTool-6.01.tar.gz) = 99a8f75922d825dfb758cc078a52789aa9a9394a2dc8c000786beded0b786a6b
-SIZE (Image-ExifTool-6.01.tar.gz) = 877791
+MD5 (Image-ExifTool-6.17.tar.gz) = 2c839c4d58b59bf18378a99ac4ea0861
+SHA256 (Image-ExifTool-6.17.tar.gz) = 11b9d33ba690e2e0de5d371d87029ae802f1b8ca4c8031b9678004d2d4ad6bb2
+SIZE (Image-ExifTool-6.17.tar.gz) = 973703
Index: pkg-plist
===================================================================
RCS file: /usr/src/cvs-repo/ports/graphics/p5-Image-ExifTool/pkg-plist,v
retrieving revision 1.15
diff -u -u -r1.15 pkg-plist
--- pkg-plist	22 Feb 2006 16:45:03 -0000	1.15
+++ pkg-plist	14 May 2006 20:32:30 -0000
@@ -30,10 +30,12 @@
 %%SITE_PERL%%/Image/ExifTool/Kodak.pm
 %%SITE_PERL%%/Image/ExifTool/KyoceraRaw.pm
 %%SITE_PERL%%/Image/ExifTool/Leaf.pm
+%%SITE_PERL%%/Image/ExifTool/MIE.pm
 %%SITE_PERL%%/Image/ExifTool/MIFF.pm
 %%SITE_PERL%%/Image/ExifTool/MNG.pm
 %%SITE_PERL%%/Image/ExifTool/MakerNotes.pm
 %%SITE_PERL%%/Image/ExifTool/Minolta.pm
+%%SITE_PERL%%/Image/ExifTool/MinoltaRaw.pm
 %%SITE_PERL%%/Image/ExifTool/Nikon.pm
 %%SITE_PERL%%/Image/ExifTool/NikonCapture.pm
 %%SITE_PERL%%/Image/ExifTool/Olympus.pm
@@ -64,6 +66,7 @@
 %%SITE_PERL%%/Image/ExifTool/WriteIPTC.pl
 %%SITE_PERL%%/Image/ExifTool/WritePNG.pl
 %%SITE_PERL%%/Image/ExifTool/WritePhotoshop.pl
+%%SITE_PERL%%/Image/ExifTool/WritePostScript.pl
 %%SITE_PERL%%/Image/ExifTool/WriteXMP.pl
 %%SITE_PERL%%/Image/ExifTool/Writer.pl
 %%SITE_PERL%%/Image/ExifTool/XMP.pm
@@ -74,6 +77,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/data_members.html
 %%PORTDOCS%%%%DOCSDIR%%/exiftool_pod.html
 %%PORTDOCS%%%%DOCSDIR%%/faq.html
+%%PORTDOCS%%%%DOCSDIR%%/filename.html
 %%PORTDOCS%%%%DOCSDIR%%/history.html
 %%PORTDOCS%%%%DOCSDIR%%/htmldump.html
 %%PORTDOCS%%%%DOCSDIR%%/idiosyncracies.html
@@ -84,6 +88,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/AFCP.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/AIFF.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/APP12.html
+%%PORTDOCS%%%%DOCSDIR%%/TagNames/APP14.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/ASF.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/BMP.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/Canon.html
@@ -107,9 +112,11 @@
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/Kodak.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/KyoceraRaw.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/Leaf.html
+%%PORTDOCS%%%%DOCSDIR%%/TagNames/MIE.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/MIFF.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/MNG.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/Minolta.html
+%%PORTDOCS%%%%DOCSDIR%%/TagNames/MinoltaRaw.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/Nikon.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/NikonCapture.html
 %%PORTDOCS%%%%DOCSDIR%%/TagNames/Olympus.html
Comment 3 Cheng-Lung Sung freebsd_committer 2006-05-15 04:07:26 UTC
State Changed
From-To: feedback->closed

Committed with maintainer reviewed patch. Thank you.